Bug 1936332

Summary: python-magic-wormhole-mailbox-server: FTBFS in Fedora rawhide
Product: [Fedora] Fedora Reporter: Tomáš Hrnčiar <thrnciar>
Component: python-magic-wormhole-mailbox-serverAssignee: Fabio Valentini <decathorpe>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: decathorpe, djc
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://koschei.fedoraproject.org/package/python-magic-wormhole-mailbox-server
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-14 10:35:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1927309, 1890881    

Description Tomáš Hrnčiar 2021-03-08 08:39:12 UTC
Description of problem:
Package python-magic-wormhole-mailbox-server fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
0.4.1-5.fc34

Steps to Reproduce:
koji build --scratch f35 python-magic-wormhole-mailbox-server-0.4.1-5.fc34.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-magic-wormhole-mailbox-server

Comment 1 Fabio Valentini 2021-03-11 15:12:47 UTC
The root cause of this seems to be in another python package - treq:

ERROR: test_web (unittest.loader._FailedTest)
----------------------------------------------------------------------
ImportError: Failed to import test module: test_web
Traceback (most recent call last):
  File "/usr/lib64/python3.9/unittest/loader.py", line 154, in loadTestsFromName
    module = __import__(module_name)
  File "/builddir/build/BUILD/magic-wormhole-mailbox-server-0.4.1/src/wormhole_mailbox_server/test/test_web.py", line 4, in <module>
    import treq
  File "/usr/lib/python3.9/site-packages/treq/__init__.py", line 5, in <module>
    from treq.api import head, get, post, put, patch, delete, request
  File "/usr/lib/python3.9/site-packages/treq/api.py", line 5, in <module>
    from treq.client import HTTPClient
  File "/usr/lib/python3.9/site-packages/treq/client.py", line 11, in <module>
    from twisted.python.compat import _PY3, unicode
ImportError: cannot import name '_PY3' from 'twisted.python.compat' (unknown location)

Looks like it's not compatible with the latest twisted - did it remove python 2 / 3 compat stuff?

Comment 2 Fabio Valentini 2021-05-13 10:26:37 UTC
This seems to have been fixed in rawhide by updating treq to 21.1.0. However, the same issue is now happening in Fedora 34, with twisted having been updated, but not treq ...

Dan, would it be possible to push treq 21.1.0 to Fedora 34 as well?

Comment 3 Dan Callaghan 2021-05-13 21:36:50 UTC
The place to ask is on bug 1813778.

Comment 4 Miro Hrončok 2021-06-04 20:13:36 UTC
This is a mass-posted update. Sorry if it is not 100% accurate to this bugzilla.


The Python 3.10 rebuild is in progress in a Koji side tag. If you manage to fix the problem, please commit the fix in the rawhide branch, but don't build the package in regular rawhide.

You can either build the package in the side tag, with:

    $ fedpkg build --target=f35-python

Or you can the build and we will eventually build it for you.

Note that the rebuild is still in progress, so not all (build) dependencies of this package might be available right away.

Thanks.

See also https://fedoraproject.org/wiki/Changes/Python3.10

If you have general questions about the rebuild, please use this mailing list thread: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/G47SGOYIQLRDTWGOSLSWERZSSHXDEDH5/

Comment 5 Miro Hrončok 2021-06-07 22:58:22 UTC
The f35-python side tag has been merged to Rawhide. From now on, build as you would normally build.

Comment 6 Miro Hrončok 2021-06-14 10:35:54 UTC
This package was successfully rebuilt with Python 3.10.

If you need this bugzilla open for tracking purposes, sorry for the automatic closing: feel free to reopen it.